Name:           tsess
Version:        0.6
Release:        1%{?dist}
Summary:        Simple tmux session manager
URL:            https://git.sr.ht/~dridi/tsess
License:        GPLv3+

Source:         %{url}/refs/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  hare
BuildRequires:  make
BuildRequires:  pkgconfig(bash-completion)

Requires:       tmux


%description
A simple tmux session manager under development.


%prep
%autosetup


%build
%configure HAREFLAGS=-R
%make_build


%install
%make_install


%files
%{_bindir}/%{name}
%{_datadir}/bash-completion
%{_mandir}/man?/%{name}*
%{_sysconfdir}/profile.d/%{name}.sh
%license COPYING


%changelog
* Tue Apr 16 2024 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.2-1
- Initial packaging
